﻿/* Základní CSS proměnné */
:root {
    --primary-color: #3a7cd5; /* #e06f70; /* tmavě růžová MZ */
    --primary-color-hover: #1e5aaa; /* #d15657; /* tmavější růžová */
    --light-primary-color: #5b9ae5; /* #FFB5B5; /* světle růžová */
    --light-primary-color-ultra-light: #F7FBFF; /* #FFF9F9; /* bila barva s nadechem ruzove */
    --secondary-color: #D6E6F9; /* #D8B2D8; /* fialova barva */
    --light-secondary-color: #ECD9EC; /* světle fialová barva */

    --tertiary-color: white;
    --text-color: #666666; /* šedivá barva */
    --ultra-light-text-color: #EBEBEB; /* velmi světle šedivá */
    --light-text-color: #F2EFF0; /* světle šedivá */
    --comment-graphic-color: #D6D6D6;
    --toggle-header-color: var(--light-text-color);
    --toggle-text-color: black;
    --alert-warning-color: #dc3545; /* tmavě červená danger */
    --alert-warning-color-light: #E6858F; /* světle červená danger */
    /* tlacitka */
    --btn-height: 37px;
    --btn-border-radius: 5px;
}
@font-face {
    font-family: 'Bookman Old Style';
    src: url('../font/books.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}

/* Reset a základní nastavení (platí pro všechny velikosti) */
html {
    font-size: 14px;
    position: relative;
    font-family: 'Bookman Old Style';
    min-height: 100vh;
}

body {
    background-color: var(--light-primary-color-ultra-light);
    min-height: 100vh;
    display:flex;
    flex-direction: column;
    justify-content: flex-start;
}

.alert-info {
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid var(--primary-color);
    background-color: var(--secondary-color);
}
.alert-info h4{
    margin:0px;
}
.alert-warning {
    display: flex;
    align-items: center;
    justify-content: center;
    border: 1px solid var(--alert-warning-color);
    background-color: var(--alert-warning-color-light);
    color: black;
}
.loadMoreLink{
    cursor: pointer;
    color: var(--text-color);
}
.loadMoreLink:hover {
    color: var(--primary-color);
}

/* Desing scroll posuvniku */
.scrollbar {
    scrollbar-width: thin; /* Firefox - lze použít 'thin', 'auto' nebo 'none' */
    scrollbar-color: #888 #f1f1f1; /* Firefox - barva posuvníku a pozadí */
}

/* Pro Chrome, Safari a Opera */
.scrollbar::-webkit-scrollbar {
    width: 0.5px; /* Šířka vertikálního scrollbaru */
    height: 1px; /* Výška horizontálního scrollbaru */
}

.scrollbar::-webkit-scrollbar-track {
    background: var(--primary-color); /* Barva dráhy scrollbaru */
}

.scrollbar::-webkit-scrollbar-thumb {
    background: var(--primary-color); /* Barva posuvníku */
}

.scrollbar::-webkit-scrollbar-thumb:hover {
    background: var(--primary-color); /* Barva posuvníku při najetí myší */
}
/* info boxy */
.alert.alert-danger, .alert.alert-info {
    position: relative;
}
.alert.alert-danger::after, .alert.alert-info::after {
    content: "\00D7";
    display: block;
    position: absolute;
    font-size: 24px;
    right: 10px;
    top: 0px;
    color: inherit;
    cursor: pointer;
}

.comment-content {
    white-space: pre-wrap; /* Zachovává odřádkování */
}

/* Detail diskuse - graficke cary pro jednotlive komentar  */
/* Hlavní kontejner komentáře */
.komentar-wrapper {
    position: relative;
    padding-left: 24px !important;
}

/* Nastavení pozicování pro levou část hlavičky komentáře */
.hlavicka-komentare-leva-cast {
    position: relative;
}

/* Vertikální červená čára vedoucí od kolečka dolů */
.komentar-wrapper::after {
    content: "";
    position: absolute;
    left: 11px; /* Pozice odpovídající kolečku */
    top: 17px; /* Začátek pod kolečkem */
    bottom: 19px; /* Konec před tlačítkem odpovědět */
    height: calc(100% - 40px);
    width: 2px;
    background-color: var(--comment-graphic-color);
    z-index: 1;
}

/*  kolečko u hlavičky komentáře */
.hlavicka-komentare-leva-cast::before {
    content: "";
    position: absolute;
    left: -18px; /* Pozice kolečka vlevo od hlavičky */
    top: 4px; /* Vertikální zarovnání */
    width: 12px;
    height: 12px;
    border-radius: 50%;
    background-color: var(--comment-graphic-color);
    z-index: 2;
}

/* Horizontální čára vedoucí k odpovědi */
.odpoved-na-komentar {
    position: relative;
    margin-left: 30px !important; /* Přepsání bootstrap ms-2 pro více prostoru */
    padding: 0px 7px 7px 7px !important;
}

    .odpoved-na-komentar::before {
        content: "";
        position: absolute;
        left: -42px;
        top: 15px; /* Vertikální zarovnání s odpovědí */
        width: 40px;
        height: 2px;
        background-color: var(--comment-graphic-color);
        z-index: 1;
    }

/* Čára vedoucí k tlačítku Odpovědět */
.reply-button {
    position: relative;
    margin-left: 35px;
    margin-bottom: 10px !important;
    height: 30px;
}

    .reply-button::before {
        content: "";
        position: absolute;
        left: -48px;
        top: 50%;
        width: 40px;
        height: 2px;
        background-color: var(--comment-graphic-color);
        z-index: 1;
    }
#emoji-list, .emoji-list-comment-reply, #emoji-list-discussion {
    display: none;
    max-height: 120px;
    overflow-y: auto;
    border: 1px solid var(--comment-graphic-color);
    border-radius: var(--btn-border-radius);
    margin-top: 10px;
}
    #emoji-list-discussion{
        margin-bottom: 10px;
    }
    .btn-add-coment-wrapper {
        display: inline-flex;
        align-items: center;
    }
#emoji-btn, .emoji-btn-comment-reply, #emoji-btn-discussion {
    background-color: transparent;
    border: none;
    font-size: 20px;
}
#emoji-btn-discussion{
    margin-bottom: 8px;
    display: none;
}
.emoji {
    font-size: 20px;
    cursor: pointer;
    margin: 5px;
}
/* Úprava ostatních stylů pro lepší vzhled s vytvořenými čárami */
.komentar-wrapper {
overflow: visible; /* Zajistí, že čáry nebudou oříznuty */
padding-left: 20px; /* Přidá prostor vlevo pro kolečko a čáru */
}
.texty-ikon-diskuse {
    color: var(--text-color) !important;
}
/* konec detailu diskuse */

h1, h2, h3, h4, h5 {
    font-family: 'Bookman Old Style';
    font-weight: 300;
    color: #333333;
}

/* FocusOnNavigate (Routes.razor, Selector="h1") po načtení/navigaci přesune fokus na <h1>
   kvůli přístupnosti (čtečky obrazovky ohlásí nadpis stránky). Prohlížeč ale kolem nadpisu
   vykreslí focus outline – černý rámeček, který na úvodní stránce krátce problikne, než se
   fokus ztratí. Nadpis není interaktivní prvek, takže outline schováme bez dopadu na ovládání
   klávesnicí; fokus pro přístupnost zůstává zachován. */
h1:focus,
h1:focus-visible {
    outline: none;
}

.spinner {
    color: var(--primary-color);
}
.maintenanceNotification {
    position: absolute;
    top: 220px;
    left: 0;
    right: 0;
    height: 250px;
    width: 100%;
    margin: 0 auto;
    z-index: 1000;
}
.maintenance-text-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    background-color: rgba(248, 240, 248, 0.3);
    backdrop-filter: blur(2px); /* Rozmazání pozadí pod prvkem */
}
.maintenanceText {
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    border-radius: 10px;
    padding: 10px 20px;
    font-size: 1.3rem;
    background-color: #F2E6F2;
    font-weight: 600;
    height: 70%;
}
.close-notification {
    position: absolute;
    top: 0px;
    right: 15px;
    background: transparent;
    border: none;
    font-size: 24px;
    line-height: 1;
    color: #333;
    cursor: pointer;
    z-index: 1001;
    width: 30px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: transform 0.2s;
    padding: 0;
/*    font-family: 'Bodoni MT';*/
}

.close-notification:hover {
    transform: scale(1.1);
}
/* Základní container */
.container {
    padding-left: 5px;
    padding-right: 5px;
    min-width: 320px;
}

/* Základní styly pro odkazy */
a {
    color: var(--primary-color);
}

/* Základní styly pro tlačítka */
.btn{
    width: 100%; /* Na mobilu tlačítka přes celou šířku */
    margin-bottom: 0.5rem;
    border-radius: var(--btn-border-radius);
}
.bg-primary{
    background-color: var(--primary-color) !important ;
}
.like-btn-disable, .like-btn, .pocetZobrazeni {
    margin-bottom: 0.5rem !important;
    border: none;
    background-color: transparent;
}
.mine-like::before{
    cursor: pointer !important;
}
.btn:active, .btn:focus, .btn:focus-visible, .btn:active:focus {
    border: none !important;
    outline: none !important;
    box-shadow: none !important;
    -webkit-box-shadow: none !important;
    -moz-box-shadow: none !important;
}
.btn-primary {
    color: #fff;
    background-color: var(--primary-color);
    border-color: var(--primary-color);
}

.btn-primary:active:focus, .btn-outline-primary:focus {
    outline: none;
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem var(--primary-color);
    border-color: var(--primary-color);
}

.btn-primary:hover {
    background-color: var(--primary-color-hover);
    border-color: var(--primary-color-hover);
}

.btn-primary:disabled {
    background-color: var(--light-primary-color);
    border-color: var(--light-primary-color);
}
.top-star {
    align-items: center;
}
.top-star-detail {
    margin-top: 6px;
}

.pocetZobrazeni {
    display: flex;
    gap: 5px;
    color: var(--primary-color);
    margin-bottom: 0.5rem;
}

.like-btn-footer, .like-btn-disable, .like-btn {
    display: flex;
    gap: 5px;
    align-items: center;
    color: var(--primary-color) !important;
    transition: ease-in-out;
    padding:0;
}

.bi-heart:hover{
    transform:scale(1.3);
}
.bi-heart-fill, .bi-heart-fill::before, like-btn-disable * {
    cursor: default;
}

.like-btn-disable i:before, .like-btn i:before, .like-btn-disable *, .like-btn * {
    color: var(--primary-color) !important;
}

#edit-discussion-btn{
    border-radius: var(--btn-border-radius);
}
.btn:focus,
.btn:active:focus {
    outline: none;
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem var(--primary-color);
    border-color: var(--primary-color);
}

.btn-outline-primary-invert {
    border: 1.5px solid white;
    color: white;
}
.btn-outline-primary {
    border: 1.5px solid var(--primary-color);
    color: var(--primary-color);
}

.btn-outline-primary:hover, .btn-outline-primary:focus, .btn-outline-primary:active {
    color: white !important;
    background-color: var(--primary-color) !important;
    border: 1.5px solid var(--primary-color) !important;
}

.btn-group{
    align-items: stretch;
}

/* Třída pro tlačítko aby se zvětšovalo s textem */
.flexibleBtn {
    height: auto;
    min-height: 38px;
    white-space: normal;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0.5rem 0.75rem;
    border-radius: 5px;
}

/* Třída pro text uvnitř tlačítka */
.flexibleBtn-text {
    font-size: 12px;
    text-align: center;
    line-height: 1.2;
}

/* Navigace */
.nav-link:hover {
    position: relative;
}
.profile-wrapper{
    width: 100%;
    max-width: 1000px;
}

#discussion-likes-count {
    color: var(--primary-color);
}
.detail-diskuse-dolni-btn-wrapper i {
    color: var(--primary-color);
}
#user-icon{
    padding-right: 5px;
}
#friendship-badge{
    left: 40px;
}

/* Styl pro hover efekt - postupně se objevující jednoduché podtržení */
.nav-link:not(.active):hover::after {
    content: '';
    position: absolute;
    width: 40%;
    height: 1px;
    bottom: 0;
    left: 40px;
    right: 40px;
    background-color: var(--primary-color);
}

.navbar-nav .nav-link.active, li.active {
    background-color: none;
    font-weight: bold;
    position: relative;
    display: flex;
    height: 100%;
}

/* Styl pro aktivní stránku - dvojité podtržení */
.nav-link.active::after, li.active::after {
    content: '';
    position: absolute;
    max-width: 35%;
    height: 1px;
    bottom: 0;
    left: 40px;
    right: 20%;
    background-color: var(--primary-color);
}

.nav-link.active::before, li.active::before {
    content: '';
    position: absolute;
    max-width: 40%;
    height: 1px;
    bottom: 3px;
    left: 40px;
    right: 40px;
    background-color: var(--primary-color);
}


/* Styly pro ikony v menu*/
#notification-bell, #user-icon, #messages-icon  {
    font-size: 1.2rem;
    transition: color 0.3s;
}

    .notification-active {
        color: var(--primary-color);
        animation: bell-ring 1s;
    }

@keyframes bell-ring {
    0% {
        transform: rotate(0);
    }

    20% {
        transform: rotate(15deg);
    }

    40% {
        transform: rotate(-15deg);
    }

    60% {
        transform: rotate(7deg);
    }

    80% {
        transform: rotate(-7deg);
    }

    100% {
        transform: rotate(0);
    }
}

/* Úprava pozice badge */
.menu-icon-wrapper .badge{
    font-size: 0.55rem;
    top: -10px ;
    left: 34px !important;
}
.menu-icon-wrapper{
    text-align: left;
    width: auto;
    max-height: 35px;
}
.menu-icon-wrapper a{
    padding: 7px 14px;
}
#user-icon, #notification-bell, #messages-icon {
    margin-left: 25px;
    max-width: 30px;
}
#notificationsDropdown{
    width: 100%;
}

#friendship-badge {
    top: -3px;
    left: 47px !important;
}

.notification-item {
    transition: background-color 0.2s;
    border-left: 3px solid transparent;
}
.menu-right-section{
    padding-top: 0px !important;
    margin-top: -14px;
}

.notification-item:hover {
    background-color: rgba(0,0,0,0.05);
    border-left: 3px solid var(--primary-color);
}

.notification-item .notification-time {
    font-size: 0.8rem;
    color: #999;
}


/* Navigace - mobilní verze */
.navbar {
    padding: 0.5rem;
}

.navbar-toggler {
    position: absolute;
    right: 10%;
    top: 1.8rem;
    border: none;
    padding: 0.5rem;
    z-index: 1000;
    transition: all 0.3s ease-in-out;
    padding: 0.5rem 1rem 0.5rem 0.5rem; /* Trochu více prostoru vpravo pro notifikaci */
}
    /* Nastavení vlastností pro čáry hamburgeru */
    .navbar-toggler .navbar-toggler-icon {
        background-image: none !important; /* Odstranění výchozí Bootstrap ikony */
        position: relative;
        transition: all 0.3s ease-in-out;
    }

        /* Vytvoření tří čar pro hamburger pomocí ::before, ::after a samotného elementu */
        .navbar-toggler .navbar-toggler-icon,
        .navbar-toggler .navbar-toggler-icon::before,
        .navbar-toggler .navbar-toggler-icon::after {
            width: 30px;
            height: 1.5px;
            background-color: #000;
            display: inline-block;
            position: absolute;
            left: 50%;
            margin-left: -15px;
            transition: all 0.3s ease-in-out;
        }

            .navbar-toggler .navbar-toggler-icon::before {
                content: '';
                top: -10px;
            }

            .navbar-toggler .navbar-toggler-icon::after {
                content: '';
                top: 10px;
            }

           /* Notifikace u hamburger menu */
            #hamburger-menu-notification {
                position: absolute;
                top: -8px;
                right: -14px;
                width: 14px;
                height: 14px;
                background-color: var(--primary-color); /* Červená barva pro notifikaci */
                border-radius: 50%; /* Kulatý tvar */
                display: flex;
                justify-content: center;
                align-items: center;
                font-size: 10px;
                color: white;
                font-weight: bold;
                box-shadow: 0 1px 3px rgba(0, 0, 0, 0.3); /* Jemný stín pro lepší viditelnost */
                border: 1px solid white; /* Bílý okraj pro lepší kontrast */
                z-index: 1001;
            }

/* Styl pro stav, kdy je menu rozbalené (tvoří křížek) */
.navbar-toggler[aria-expanded="true"] .navbar-toggler-icon {
    background-color: transparent; /* Prostřední čára zmizí */
}

    .navbar-toggler[aria-expanded="true"] .navbar-toggler-icon::before {
        transform: rotate(45deg);
        top: 0;
    }

    .navbar-toggler[aria-expanded="true"] .navbar-toggler-icon::after {
        transform: rotate(-45deg);
        top: 0;
    }

    /* Odstranění outline při zaměření (focus) */
    .navbar-toggler:focus {
        outline: none;
        box-shadow: none;
    }

.navbar-nav {
    padding: 1rem 0;
    text-align: left;
    width: 100%;
}

.navbar-nav .nav-item {
    margin-bottom: 0.5rem;
}

.navbar-nav .nav-link {
    color: black !important;
    font-weight: 500;
    padding: 0.5rem 1rem;
}

.navbar-collapse {
    display: flex;
    flex-direction: column; /* Na mobilních zařízení řadí položky pod sebe */
    background-color: white;
    border-radius: 10px;
    padding-top:1rem;
    width: 100%;
}

.fulltextForm {
    order: 1; /* Vyhledavaci form bude jako prvni nahore */
    width: 100%;
    padding: 0px 40px;
}

.fulltextFormInput:focus {
    outline: none;
    box-shadow: none;
    border-color: var(--primary-color);
}
.fulltextFormBtn{
    width:5rem;
    margin: auto 5px;
}


 /* Krizek zobrazovany uvnitr vyhledavaciho pole - Pro prohlížeče založené na Webkit (Chrome, Safari, Opera, nový Edge) */
input[type="search"]::-webkit-search-cancel-button {
    -webkit-appearance: none;
    appearance: none;
    display: none;
}

/* Krizek zobrazovany uvnitr vyhledavaciho pole - Pro starší verze IE a Edge */
input[type="search"]::-ms-clear {
    display: none;
}

/* Defaultní pořadí menu prvků na mobilnich zarizenich */
.navbar-nav.flex-grow-1 {
    order: 2; /* Levé menu bude zobrazeno jako druhé */
}

.navbar-nav:last-child {
    order: 3; /* Pravé menu bude zobrazeno jako třetí */
}
/* wrapper fulltextoveho vyhledavani stranka search */
.fulltext-search-wrapper {
    gap: 10px;
    flex-direction: column;
    display:flex;
}
.fulltext-search-wrapper .fulltextFormBtn {
    width: 100%;
    margin: 0;
}


/* Logo na mobilu */
.logo-container{
    width: 50vw;
}
.logo-container img {
    width: 100px !important;
}

/* Nadpisy - mobilní verze */
h1 {
    font-size: 1.8rem;
}

    h1 a {
        color: inherit;
    }

        h1 a:hover {
            color: var(--primary-color);
        }

.kategorie-wrapper {
    display: flex;
    flex-wrap: wrap;
}
.title-wrapper {
    display: flex;
    align-items: center;
    font-size: 16px;
    flex-wrap: wrap;
    justify-content:flex-start;
    width:100%;
}

.popisky {
    font-size: 12px;
    display: flex;
    align-items:center;
    justify-content: flex-end;
    width: auto;
    line-height:1.2;
    color: var(--text-color);
    margin-top: 2px;
    position: relative;
}
.popisky .autor {
    margin-bottom: 0px;
    position: absolute;
    top: 0px;
    right: -10px;
    background-color: var(--secondary-color);
    padding: 2px;
    border-radius: 2px;
    color: var(--primary-color);
    clip-path: polygon(10% 0%, 100% 0%, 100% 100%, 10% 100%, 0% 50%);
}
.popisky .autor a {
    color: var(--primary-color);
}

.title-autor-wrapper {
    justify-content: space-between;
    gap: 5px;
    align-items: center;
    flex-direction: row;
    width: 100%;
    flex-wrap: wrap;
    position: relative;
}
.card-title {
    max-width: 83%;
    flex-wrap: wrap;
    line-height: 1;
}

.card-kategorie, .card-diskuse{
    background-color: var(--light-primary-color-ultra-light);
    padding: 10px;
    border: 1px solid white;
}
.card-text{
    color: var(--text-color);
}
.card-body-icon-wrapper, .title-with-icon img{
    max-width: 180px;
    height: 50px;
    margin-right: 10px;
}
.title-with-icon img {
    height: 30px;
}
.title-with-icon{
    display: flex;
    align-items: center;
    justify-content: center;
}

.card-body-icon-wrapper img {
    height: 100%;
}
#discussions-list {
    display: grid;
    grid-template-columns: 1fr; /* Jeden sloupec */
}

.category-list .card-kategorie {
    background-color: #ffffffda;
    height: 80px;
    border: 1px solid var(--light-text-color);
    display: flex;
    align-items: center;
    overflow: hidden;
}

.card-diskuse {
    width: 100%;
    max-width: 100%;
    background-color: #ffffffda;
    border: 1px solid var(--light-text-color);
    display: flex;
    align-items: center;
    height:100%;
}
.discussion-type{
    display: flex;
}
.discussion-type label {
    white-space: nowrap;
    margin-right: 15px;
    margin-bottom: 0px;
    display: flex;
    align-items: center;
}
.type-discussion-label-wrapper{
    width: 50%;
    min-width:170px;
}
.title-detail-category {
    color: var(--text-color);
    text-align: center;
}

.lead {
    margin-bottom: -10px;
    margin-top: 5px;
    text-align: center;
}

/* Grid pro seznam uživatelů - mobilní verze */
.user-list {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.user-list-header,
.user-list-item {
    display: grid;
    grid-template-columns: 1fr;
    gap: 0.5rem;
    padding: 10px;
    border-bottom: 1px solid #ddd;
}

.user-list-header {
    font-weight: bold;
    background-color: #f8f9fa;
}

.user-actions {
    display: flex;
    justify-content: center;
    gap: 5px;
}

/* Editor - mobilní verze */
#editor-container {
    min-height: 200px;
    max-height: 400px;
    height: 35vh;
    border: 1px solid #ccc;
    padding: 10px;
    overflow-y: auto;
}

#toolbar-container {
    border: 1px solid #ccc;
    border-bottom: none;
    padding: 5px;
}

/* Patička - mobilní verze */
.footer {
    width: 100%;
    text-align: center;
    padding: 1rem 0;
    line-height: 1.5;
    background-color: #f8f9fa;
    margin-top: auto;
}
/* Zalomení nazvu kategorie v seznamu kategorii a obsahu i pro extra dlouha slova
 * Zalomeni nazvu diskuse v seznamu diskusi a obsahu i pro extra dlouha slova
 * Zalomeni nazbu detailu diskuse a obsahu
*/
.long-word-break a,
.card-body p,
.long-word-break {
    overflow-wrap: break-word !important;
    word-break: normal !important;
    hyphens: none !important;
    overflow: hidden !important;
    max-width: 100% !important;
}

/* Detail diskuse */

.text-editor-wrapper{
    padding:15px 15px 0px 15px;
    background-color:white;
    border:none;
    border-radius: 0;
}
.text-editor-head {
    background-color: var(--ultra-light-text-color) !important; /* linear-gradient(to bottom, var(--light-primary-color) 0%, var(--primary-color) 100%)*/
    border: none;
    color: var(--text-color);
    border-radius: 0px !important;
}
.text-editor-title {
    font-weight: 300 !important;
}
.text-editor-head i {
    color: var(--primary-color);
    background-color: white;
    padding: 2px 4px;
    border-radius: 999px;
}
    .text-editor-head span, .text-editor-head a {
        color: white;
    }
.text-editor-head, .text-editor-footer {
    background-color: var(--tertiary-color);
    position: relative;
}
.bi-star-fill:before{
    color: yellow;
}
.seznam-diskusi-title-text {
    color: var(--primary-color);
    font-weight: bold;
}
.text-editor-title {
    padding: 5px;
    margin-bottom: 10px !important;
}
.detail-diskuse-title-wrapper {
    width: auto;
    padding: 7px 12px;
    margin-bottom: 0px;
    margin-top: -10px;
    position: relative;
}
.detail-diskuse-title {
    width: 100%;
    font-size: 24px;
    font-weight: 400;
    margin-bottom: -5px;
}
/* Styl pro aktivní stránku - dvojité podtržení */
.detail-diskuse-title::after {
    content: '';
    position: absolute;
    width: 26%;
    margin: 0 auto;
    height: 1px;
    bottom: 0;
    right: 35%;
    background-color: var(--primary-color);
}

    .detail-diskuse-title::before {
        content: '';
        position: absolute;
        width: 30%;
        height: 1px;
        bottom: 3px;
        right: 35%;
        background-color: var(--primary-color);
    }

#comments-list .card {
    padding-left: 10px;
    padding-right: 10px;
}
.text-editor-footer{
    justify-content: space-between;
}
.btn, .pocetZobrazeni {
    width: auto;
    height: var(--btn-height);
}

.like-btn-disable, .like-btn[disabled] {
    color: var(--text-color);
}
    .like-btn-disable i::before {
        color: var(--text-color);
    }

span[title="Autor"] a{
    margin-bottom: 1rem;
    padding: 2px;
    border-radius: 2px;
    color: white;
}
.reply-button {
    border: 1.5px solid var(--primary-color);
    color: var(--primary-color);
    margin-bottom: 0.5rem;
    border-radius: var(--btn-border-radius);
    background-color: white;
}
.reply-button:hover {
    color: white;
    background-color: var(--primary-color);
    border: 1.5px solid var(--primary-color);
}

/* Stranka registrace */
.register-wrapper, .login-wrapper, .create-disscussion-wrapper {
    width: 95%;
    max-width: 750px;
    margin: 10vh auto;
    padding: 20px;
    background-color: white;
    backdrop-filter: blur(5px); /* Rozmazání pozadí */
    -webkit-backdrop-filter: blur(5px); /* Pro Safari podporu */
    border-radius: 15px;
}
.profile-wrapper{
    margin: 0px auto;
}
.profile-info-box {
    border: none;
    border-radius: 0px;
}
.toggle-section {
    margin: auto;
    max-width: 700px;
}
.edit-account-btn {
    background: transparent;
    border: none;
    padding: 0px;
    color: var(--primary-color);
}
.edit-account-btn:hover{
    color:var(--primary-color-hover);
    transition:ease-in-out;
    transform: scale(1.15);
}
#change-email-account, #change-prezdivka-account, #change-password-account {
    width: 90%;
    max-width: 450px;
    max-height: 230px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    margin: 0px;
}
#change-password-account {
    max-height: 320px;
}

#change-email-account:not([open]), #change-prezdivka-account:not([open]), #change-password-account:not([open]) {
    display: none;
}
.btn-dialog-close{
    width: 25px;
    height: 25px;
}
.btn-dialog-send {
    width: 100%;
}
dialog h5 {
    margin-left: 16px;
}
.btn-close:focus {
    border: none;
    outline: none;
    box-shadow: none;
}
.account-toggle-wrapper {
    background-color: var(--toggle-header-color);
    color: var(--toggle-text-color);
    padding: 5px 10px;
    border: none;
}
.vyhledat-uzivatele {
    background-color: var(--toggle-header-color)
}
.bg-info {
    background-color: var(--light-primary-color) !important;
}
tr.toggle-row {
    height: 15px;
    max-height: 15px;
    line-height: 15px;
    overflow-y: visible;
}
tr.toggle-row td {
    padding-top: 0;
    padding-bottom: 0;
}
.btn-odebrat{
    padding:2px 10px;
    height: 25px;
    margin-bottom: 0px;
}
.toggle-content-row {
    vertical-align: bottom;
    padding-bottom: 5px;
    overflow-y:visible;
}
.toggle-list-group-item{
    padding: 0px 5px;
    border-top:0px;
    border-left: 0px;
    border-right: 0px;
}
#friends-list, #user-discussions, #new-replies-notifications, #likes-list {
    max-height: 250px;
    overflow-y: scroll;
}
.create-disscussion-wrapper {
    max-width: 1400px;
}
.create-disscussion-wrapper form{
    width: 100%;
}
.register-btn-wrapper, .create-discusssion-btn-wrapper {
    display: flex;
    justify-content: space-between;
    gap: 10px;
    margin-top: 10px;
}
.register-btn-wrapper button, .create-discussion-btn{
    width: 60%;
    max-width: 500px;
}
.create-discussion-back-wrapper{
    display: flex;
    align-items: center;
}


.register-btn-wrapper a {
    width: 40%;
}


/* Styly pro správu hlasování v modálním okně */
.voting-question-modal {
    border: 1px solid var(--light-text-color);
    margin-bottom: 15px;
}

    .voting-question-modal .card-header {
        background-color: var(--secondary-color);
        color: var(--text-color);
        font-weight: bold;
    }

#voting-questions-modal-list {
    max-height: 400px;
    overflow-y: auto;
    margin-bottom: 20px;
}

.char-count-modal.text-danger {
    font-weight: bold;
}

/* Stav hlasování - odznaky */
.voting-status-badge {
    display: inline-block;
    padding: 3px 8px;
    border-radius: 10px;
    font-size: 0.8rem;
    margin-left: 5px;
}

/* Zmenšení prostoru kolem hlasování */
#voting-questions-container .mb-4 {
    margin-bottom: 0.75rem !important; /* Zmenšení prostoru mezi otázkami */
    padding-bottom: 0.5rem !important; /* Zmenšení spodního paddingu */
}

#voting-questions-container h5 {
    margin-bottom: 0.5rem !important; /* Zmenšení prostoru pod nadpisem otázky */
    font-size: 1rem !important; /* Menší velikost písma nadpisu */
}

#voting-questions-container .voting-options .form-check {
    margin-bottom: 0.2rem !important; /* Zmenšení prostoru mezi radio buttony */
    padding-left: 1.5rem !important; /* Menší odsazení zleva */
}

.vote-form-wrapper {
    display: flex;
    margin-top: 15px;
    gap: 10px;
}

#voting-questions-container .progress {
    height: 15px !important; /* Nižší progress bary */
    margin-bottom: 0.25rem !important; /* Menší prostor pod progress bary */
}

#voting-questions-container .voting-results {
    margin-top: 0.5rem !important; /* Menší mezera nad výsledky */
}

#voting-questions-container .small {
    font-size: 0.75rem !important; /* Menší velikost textu u informací o hlasování */
    margin-top: 0.25rem !important; /* Menší mezera nad textem */
}

/* Menší padding kolem všech prvků v hlasování */
#voting-section .card-body {
    padding: 0.75rem !important;
}

/*#messages-badge {
    left: auto !important;
    right: 10px;
}*/

.hide-text-when-narrow {
    display: none;
}

/* Styly pro tablet a větší obrazovky (≥576px) */
@media (min-width: 576px) {

    .hide-text-when-narrow {
        display: inline;
    }

    /* Tlačítka na širších obrazovkách */
    .btn, .pocetZobrazeni, like-btn-disable, like-btn {
        margin-bottom: 0;
    }

    /* Navigace pro tablet */
    .navbar-nav .nav-link {
        font-size: 0.9rem;
    }
    #friendship-badge {
        left: 30px;
    }
    /* Grid pro seznam uživatelů */
    .user-list-header,
    .user-list-item {
        grid-template-columns: 1fr 1fr 1fr;
    }
}

/* Styly pro větší tablety a menší notebooky (≥768px) */
@media (min-width: 768px) {
    html {
        font-size: 16px;
    }

    /* Nadpisy */
    h1 {
        font-size: 2rem;
    }
    li.account-icon-text{
        height: 44.8px;
    }
    /* Grid pro seznam uživatelů */
    .user-list-header,
    .user-list-item {
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr auto;
    }
    .navbar-toggler {
        top: 2.3rem;
    }
        /* Logo */
        .logo-container img {
        width: 150px !important;
    }
    #friendship-badge {
        left: 35px;
    }

}

/* Styly pro notebooky a desktopy (≥992px) */
@media (min-width: 992px) {
    /* Grid pro seznam uživatelů */
    .user-list-header,
    .user-list-item {
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr auto;
    }

    /* Editor */
    #editor-container {
        max-height: 600px;
    }

    /* Tlačítka v řádku vedle sebe */
    .user-actions {
        justify-content: flex-end;
    }
}

/* Styly pro velké desktopy (≥1200px) */
@media (min-width: 1200px) {
    .container {
        max-width: 1550px;
        margin: 0px auto;
    }
    .logo-container {
        width: auto;
    }

    .navbar-collapse {
        flex-direction: row; /* Na desktopu řadí položky vedle sebe */
        background-color: transparent;
    }
    .menu-right-section{
        justify-content: end;
        padding: 0px;
    }
    .menu-right-section .nav-item{
        width: auto;
    }
    #messages-link, #notification-bell, #user-icon {
        padding: 7px 14px;
    }
    #messages-link{
        margin-right: 5px;
    }
    #notificationsDropdown {
        width: auto;
        padding: 0px;
        margin-top: 7px;
    }
    #notification-bell, #user-icon, #messages-icon {
        margin-left: 0px;
    }
    .fulltextForm {
        margin-top: -20px;
    }

    .odhlasit-menu {
        margin-bottom: 0px !important;
    }
    .odhlasit-menu .nav-link {
       margin-top: 5px;
    }
    .user-name.nav-link{
        padding-left: 0px !important;
    }
    .nav-item{
        text-align: center;
    }
    .nav-link{
        white-space: nowrap;
    }
    #messages-badge, #notification-badge {
        left: 15px;
    }
    #messages-badge {
        left: 20px !important;
    }
    #friendship-badge {
        top: -2px;
        left: 28px !important;
    }

    /* Styl pro hover efekt - postupně se objevující jednoduché podtržení */
    .nav-link:not(.active):hover::after, .account-icon-text:not(.active):hover::after {
        content: '';
        position: absolute;
        width: 90%;
        min-width: 30px;
        max-width: 70px;
        height: 1px;
        bottom: 3px;
        left: 50%;
        transform: translateX(-50%);
        background-color: var(--primary-color);
    }
    .account-icon-text:not(.active):hover::after {
        bottom: -5px;
    }
    .nav-link[href="/Account/MyAccount"]:hover::after {
        display: none !important;
    }

    .navbar-nav .nav-link.active, li.active {
        background-color: none;
        font-weight: bold;
        position: relative;
        display: flex;
        height: 100%;
    }

    /* Styl pro aktivní stránku - dvojité podtržení */
    .nav-link.active::after, li.active::after {
        content: '';
        position: absolute;
        width: 100%;
        max-width: 90%;
        height: 1px;
        bottom: 0;
        left: auto;
        right: 0px;
        background-color: var(--primary-color);
    }

    .nav-link.active::before, li.active::before {
        content: '';
        position: absolute;
        height: 1px;
        bottom: 3px;
        left: auto;
        right: 10px;
        width: 100%;
        max-width: calc(90% - 10px);
        background-color: var(--primary-color);
    }
    .account-icon-text.active {
        position: relative;
    }
    .account-icon-text.active::before {
        left: auto;
        right: 10px;
        max-width: calc(90% - 10px);
        transform: none;
        bottom: -8px;
    }
    .account-icon-text.active::after {
        left: auto;
        right: 0px;
        max-width: 90%;
        transform: none;
        bottom: -5px;
    }
    .navbar-nav.flex-grow-1 {
        order: 1; /* Levé menu bude první */
        padding-top: 0px;
    }

    .navbar-expand-xl {
        justify-content: center;
    }
    .navbar-expand-xl > .container{
        margin: 0px;
        width: 100%;
    }

    .fulltextForm {
        order: 2; /* Formulář bude druhý */
    }
    /* search stranka bude mit fulltext vyhledavani v jednom radku */
    .fulltext-search-wrapper {
        flex-direction: row;
    }
    .fulltext-search-wrapper button {
        max-width: 6rem;
        margin: auto 5px;
    }

    .navbar-nav:last-child {
        order: 3; /* Pravé menu zůstává třetí */
    }
    .card-diskuse {
        width: 100%;
        max-width: 100%;
    }

    #discussions-list {
        display: grid;
        grid-template-columns: 1fr 1fr;
        column-gap: 5px;
    }

}

/* Speciální media query pro výšku editoru */
@media (max-height: 600px) {
    #editor-container {
        height: 200px;
    }
}

@media (min-height: 1200px) {
    #editor-container {
        height: 600px;
    }
}
